/* new layout stuff */

:root {
  --color-link: #2387aa;
  --color-link-hover: #005578;
}

.btn {
  border-radius: 0px;
}

.btn-link {
  color: white
}

.btn-link:hover {
  color: white;
  text-decoration: none;
}

.border-white {
  border: 1px solid white;
}

.navbar {
  padding: 0px;
}

.nav-login-items > .nav-item {
  border-bottom: none !important;
}

.nav-login-items > .nav-item:hover {
  border-bottom-color: transparent !important;
}

.card {
  border-radius: 0px;
}

input {
  border-radius: 0px !important;
}

.hint {
  color: gray;
}
.btn-session {
  color: white !important;
  background-color: #faa50a;
}

.btn-session:hover {
  color: white !important;
  background-color: #eb780a;
}

.btn-session.active, .btn-session:active {
  color: white !important;
  background-color: #eb780a;
}

.btn-session-invert {
  color: #faa50a !important;
  border: 1px solid #faa50a;
  background-color: white;
}

.btn-session-invert:hover {
  color: #eb780a !important;
  border: 1px solid #eb780a;
  background-color: white;
}

.btn-session-invert.active, .btn-session-invert:active {
  color: #eb780a !important;
  border: 1px solid #eb780a;
  background-color: white;
}

.material-icons {
  font-size: medium;
  vertical-align: text-top;
}

.color-communication-extra-light {
  color: #faa50a;
}

/* remove spinners from input>number fields */

input[type="number"]::-webkit-outer-spin-button, input[type="number"]::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

input[type="number"] {
  -moz-appearance: textfield;
}

/* navigation */

.navbar-container {
  margin: 10px 0px 0px 0px;
  padding: 0px !important;
  border-bottom: 3px solid rgba(0, 0, 0, 0.05);
}

.navbar .nav-inline {
  display: inline-block;
}

.dropdown-menu-spaced {
  background: transparent;
  border: none;
  padding: 0px;
}

.dropdown-menu-spaced > * {
  margin-top: 4px;
}

/* language menu */

.navbar-language>.navbar-collapse>.navbar-nav>.dropdown>.dropdown-toggle {
  padding: 0%;
}

.navbar-language>.navbar-collapse>.navbar-nav>.dropdown>.dropdown-toggle::after {
  display: none;
}

.navbar-brand {
  display: block;
  padding: 0px;
  width: 142px;
}

/* landing page header */

.navbar-brand .logo {
  box-sizing: inherit;
  border-bottom: 1px solid transparent;
  padding-bottom: 2px;
  padding-top: 3px;
  display: inline-block;
  width: 120px;
  height: 48px;
}

.navbar-brand .logo img {
  width: 100%;
}

.navbar-brand .claim {
  opacity: 0;
}

@media (min-width: 992px) {
  .navbar-brand .claim {
    box-sizing: inherit;
    border-bottom: 1px solid transparent;
    padding-bottom: 2px;
    height: 28px;
    left: 0;
    position: absolute;
    top: 26px;
    width: 100%;
    transition: opacity .3s ease-in-out, top .3s linear;
    opacity: 1;
  }
}

.navbar-brand .claim img {
  height: 29px;
}

.image-header-container {
  color: white;
  background: #071942;
  background-image: none;
  background-size: cover;
  background-position: center;
}

.image-header-container .image-header-text {
  margin: 10px 0px 50px 0px;
  padding: 20px;
  max-width: 650px;
}

.image-header-text > h1,h2 {
  font-size: 2rem;
  line-height: 0.9;
}

.home-intro {
  margin-top: 50px;
}

.home-intro-qr {
  font-size: x-large;
  display: inline-block;
  background-color: #ffc000;
  width : 180px;
  height: 180px;
  max-height: 180px;
  max-width: 180px;
  min-height: 180px;
  min-width: 180px;
  margin: 290px 0px 50px 40px;
  padding: 10px;
  padding-top: 30px;
  padding-bottom: 20px;
  line-height: 1.3;
  text-overflow: ellipsis;
  overflow: hidden;
}

.home_span {
  display: table-cell;
}

.home_row_span {
  display: table-row;
}

.home-intro > * {
  padding-inline-start: 10px;
}

.home-intro > ul > li :first-child {
  display: inline-block;
}

.home-intro > ul > li :first-child:after {
  content: ": ";
}

@media (min-width: 768px) {
  .image-header-container {
    background-image: url('../images/home-background-1280.jpg');
  }

  .image-header-text > h1,h2 {
    font-size: 3rem;
    line-height: 0.9;
  }

  .image-header-container .image-header-text {
    margin: 50px 0px 50px 0px;
  }

  .home-intro > * {
    padding-inline-start: 40px;
  }
}

@media (min-width: 500px) {
  .home-intro > ul > li :first-child {
    min-width: 9em;
    display: inline-block;
  }
  
  .home-intro > ul > li :first-child:before {
    content: "\2022";
    padding-right: 0.5em;
    font-size: large;
  }

  .home-intro > ul > li :first-child:after {
    content: none;
  }
}

.dropdown-toggle::after {
  /*border-style: solid;*/
  border-top: 0.15em solid;
  border-right: 0.15em solid;
  border-bottom: 0;
  border-left: 0;
  content: '';
  display: inline-block;
  height: 0.6em;
  left: 0.4em;
  position: relative;
  top: 0.3em;
  transform: rotate(135deg);
  vertical-align: top;
  width: 0.6em;
}

/* footer */

footer {
  background-color: rgba(0, 0, 0, 0.05);
}

footer ul a {
  padding-left: 0 !important;
}

/* small devices */

@media only screen and (max-width: 576px) and (min-width: 500px) {
  footer ul a {
    padding-top: 0 !important;
    padding-bottom: 0 !important;
  }
  .navbar-menu>.navbar-collapse>.navbar-nav>.nav-item>a {
    /*padding: 0 !important;*/
  }
  .navbar-menu>.navbar-collapse>.navbar-nav>.nav-item:first-child {
    margin-top: 10px;
  }
  .navbar-menu>.navbar-collapse>.navbar-nav>.nav-item:last-child {
    margin-bottom: 10px;
  }
  .form-inline > .nav-link {
    flex: auto;
  }
  .home-intro-qr {
    margin: 0px 0px 50px 70px;
  }
}

@media (max-width: 499px) {
  footer ul a {
    padding-top: 0 !important;
    padding-bottom: 0 !important;
  }
  .navbar-menu>.navbar-collapse>.navbar-nav>.nav-item>a {
    /*padding: 0 !important;*/
  }
  .navbar-menu>.navbar-collapse>.navbar-nav>.nav-item:first-child {
    margin-top: 10px;
  }
  .navbar-menu>.navbar-collapse>.navbar-nav>.nav-item:last-child {
    margin-bottom: 10px;
  }
  .form-inline > .nav-link {
    flex: auto;
  }
  .home-intro-qr {
    margin: 0px 0px 50px 70px;
  }
  .home_span {
  display: contents;
  }
  .home_row_span {
  display: list-item;
  }
}

/* larger devices */

@media only screen and (min-width: 576px) {
  .image-header-container {
    background-image: url('../images/home-background-1900.jpg');
  }
  /* page menu */
  .navbar-expand-lg .navbar-nav .nav-link {
    /* matching Siemens.com */
    font-weight: 600;
    padding-right: 1.5rem;
    padding-left: 1.5rem;
  }
  .navbar-menu>.navbar-collapse>.ml-auto {
    margin-bottom: 10px;
  }
  .navbar-menu>.navbar-collapse>.navbar-nav {
    margin-top: 6px;
  }
  .navbar-menu>.navbar-collapse>.navbar-nav>.nav-item {
    margin: 0px 5px 0px 0px;
    border-bottom: solid 4px white;
  }
  .navbar-menu>.navbar-collapse>.navbar-nav>.nav-item.active, .navbar-menu>.navbar-collapse>.navbar-nav>.nav-item:hover {
    border-bottom-color: rgb(0, 153, 153);
  }
}

/* credit card frames */

.card-icon {
  width: 90px;
  height: auto;
}

/* credit card frames */

.form-control-frame {
  border-radius: 0px;
  padding: 0px 8px;
}

.form-control-frame span iframe {
  /* display: inline-block; */
  width: 100%;
  height: 100%;
  /* border: 1px solid black !important; */
}

/* address suggestions */

.card-input-element+.card {
  color: #009999;
  box-shadow: none;
  border: 2px solid transparent;
  border-radius: 4px;
}

.card-input-element+.card:hover {
  cursor: pointer;
}

.card-input-element:checked+.card {
  border: 2px solid #009999;
}

/* custom background colors */

.border-primary-extra-light {
  border-color: rgba(0, 153, 153, 0.3) !important;
}

.bg-primary-extra-light {
  background-color: rgba(0, 153, 153, 0.05) !important;
}

/* remove invalid ico */

.form-control.is-invalid {
  background-image: none;
}

.visible-block {
  display: block !important;
}

/* remove visibility token of IE11*/

input::-ms-reveal {
  display: none;
}

/* separator */

.separator {
  display: flex;
  align-items: center;
  text-align: center;
}

.separator::before, .separator::after {
  content: '';
  flex: 1;
  border-bottom: 1px solid rgba(0, 153, 153, 0.3);
}

.separator::before {
  margin-right: .25em;
}

.separator::after {
  margin-left: .25em;
}
.position-right-bottom {
  position: absolute;
  right: 1.2rem;
  bottom: 1.3rem;
}
.seperetor-text {
  margin-top: 0;
  margin-bottom: 5.1rem;
}
.position-text {
  margin-bottom: 1.80rem;
}
 #buttonSubmitSSO {
        display: flex; /* Use flex layout to keep elements in one line */
        align-items: center; /* Center items vertically */
        white-space: nowrap; /* Prevent text from wrapping */
        justify-content: center; /* Center the content horizontally */
    }

    /* Ensure the icon and text have appropriate spacing */
    #buttonSubmitSSO i.material-icons {
        margin-right: 8px; /* Space between icon and text */
    }

    /* Optional: Adjust the button's font size and padding to fit content */
    #buttonSubmitSSO span {
        font-size: 16px; /* Adjust as needed */
    }

